From https://docs.coopcloud.tech/deploy/#install-server-prerequisites :

    sudo apt-get remove docker docker-engine docker.io containerd runc
    sudo apt update
    sudo apt-get install -y apt-transport-https ca-certificates curl gnupg-agent software-properties-common
    curl -fsSL https://download.docker.com/linux/debian/gpg | sudo apt-key add -
    sudo add-apt-repository "deb [arch=amd64] https://download.docker.com/linux/debian $(lsb_release -cs) stable"
    sudo apt-get update
    sudo apt-get install -y docker-ce docker-ce-cli containerd.io
_______________________________________________________________________
From https://docs.docker.com/engine/install/debian/ :

    sudo apt-get remove docker docker-engine docker.io containerd runc
    sudo apt-get update
    sudo apt-get install \
        apt-transport-https \
        ca-certificates \
        curl \
        gnupg \
        lsb-release
    curl -fsSL https://download.docker.com/linux/debian/gpg | sudo gpg --dearmor -o /usr/share/keyrings/docker-archive-keyring.gpg
    echo \
      "deb [arch=amd64 signed-by=/usr/share/keyrings/docker-archive-keyring.gpg] https://download.docker.com/linux/debian \
      $(lsb_release -cs) stable" | sudo tee /etc/apt/sources.list.d/docker.list > /dev/null
    sudo apt-get update
    sudo apt-get install docker-ce docker-ce-cli containerd.io
_______________________________________________________________________
DIFFERENCES
===========
1. Two sudo apt-get install coopcloud docs use the -y command line option, docker doc does not
1. coopcloud docs installs gnupg-agent while docker docs installs gnupg
1. coopcloud docs installs software-properties-common while docker docs installs lsb-release
1. coopcloud docs pipes curl output into "sudo apt-key add -" while 
    docker docs uses "sudo gpg --dearmor -o /usr/share/keyrings/docker-archive-keyring.gpg"
1. coopcloud docs use add-apt-repository while docker docs use echo and lsb_release and writes to a file in /etc/apt/sources.list.d


